org.apache.mina.api

## Enum IdleStatus

- java.lang.Object
- - java.lang.Enum<IdleStatus>
  - - org.apache.mina.api.IdleStatus

All Implemented Interfaces:
  Serializable, Comparable<IdleStatus>

    public enum IdleStatus
    extends Enum<IdleStatus>

Represents the type of idleness of `IoSession`. There are three types of idleness:

- `READ_IDLE` - No data is coming from the remote peer.
- `WRITE_IDLE` - Session is not writing any data.

Author:
  Apache MINA Project

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`READ_IDLE`
`WRITE_IDLE`

### Method Summary

Methods
`String` `toString()` Returns the string representation of this status.
`static IdleStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IdleStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### READ_IDLE

    public static final IdleStatus READ_IDLE

#### WRITE_IDLE

    public static final IdleStatus WRITE_IDLE

### Method Detail

#### values

    public static IdleStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IdleStatus c : IdleStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IdleStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Returns the string representation of this status.

Overrides:
  `toString` in class `Enum<IdleStatus>`